# Ripple Ruby Explorer
Ruby wrapper for the [Ripple] blockchain query API service. Developed to be used at [BitJá], the Brazilian cryptocurrency liquidity exchange.

## INSTALLATION

Add this line to your application's Gemfile:

```ruby
gem 'ripple_ruby_explorer'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install ripple_ruby_explorer

## USAGE
Here's how to perform queries by block, address and transactions.

```ruby
explorer = RippleRubyExplorer::Api.new

# Get all transactions involving a given address
explorer.address_full_txs 'rGiqFVCde7tjsyQeEg7i7wZWVoNDqrHejs'

# Get information about a specific transaction
explorer.tx_info 'E8E2F98EDE156706B5A0F0AEE81D0D9533FDD8365DC3A7EA910BED789E01A5AD'
```

## DEVELOPMENT

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org].

### CODE QUALITY

I prefer good code whenever possible, just like you. The [rubocop] tool is used in this project to ensure the code is well written:

```shell
$ rubocop lib/
```

### CONTRIBUTING

Bug reports and pull requests are welcome on GitHub at https://github.com/rodrigoalvesvieira/ripple_ruby_explorer.

## AUTHORS

* Rodrigo Alves Vieira <rodrigo@bitja.com.br>

This project is based on BlockCypher's [ruby client].

## LICENSE

The gem is available as open source under the terms of the [MIT License].

[Ripple]: https://ripple.com
[BitJá]: https://www.bitja.com.br/
[rubygems.org]: https://rubygems.org
[rubocop]: https://github.com/rubocop-hq/rubocop
[ruby client]: https://github.com/blockcypher/ruby-client
[MIT License]: https://opensource.org/licenses/MIT

